Bug 1171757 - Subversion should not require Python
Summary: Subversion should not require Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 14:31 UTC by Vít Ondruch
Modified: 2016-05-12 07:28 UTC (History)
2 users (show)

Fixed In Version: subversion-1.9.4-1.fc24 subversion-1.9.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 07:28:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2014-12-08 14:31:03 UTC
Description of problem:
Subversion should not pull in Python. It looks to be due to content of documentation directory: /usr/share/doc/subversion/


Version-Release number of selected component (if applicable):
$ rpm -q subversion
subversion-1.8.10-6.fc22.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Subversion depends on Python

Expected results:
Subversion does not depend on Python

Additional info:
-doc subpackage might help ...

Comment 1 Jaroslav Reznik 2015-03-03 16:34:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2016-05-08 17:58:51 UTC
subversion-1.9.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20cc04ac50

Comment 3 Fedora Update System 2016-05-08 17:59:10 UTC
subversion-1.9.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e024b3e02b

Comment 4 Fedora Update System 2016-05-09 00:54:37 UTC
subversion-1.9.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20cc04ac50

Comment 5 Fedora Update System 2016-05-10 11:45:36 UTC
subversion-1.9.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-10 19:27:04 UTC
subversion-1.9.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e024b3e02b

Comment 7 Fedora Update System 2016-05-12 07:28:35 UTC
subversion-1.9.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.